# Generated from BioDSL-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name BioDSL

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: BioDSL
License: GPL2
URL: http://www.github.com/maasha/BioDSL
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(simplecov) >= 0.9.2
# BuildRequires: rubygem(mocha) >= 1.0.0
BuildArch: noarch

%description
BioDSL is a Bioinformatics Domain Specific Language.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/www
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/BioDSL.gemspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.2-1
- Initial package
